<?php

	/**
	 * Template für die E-Mail Konfiguration
	 */

?>
<div class="wpsg_admin_submenu">
	
	<div class="head">
		<div class="title"><?php echo __("Einstellungen", "wpsg"); ?></div>			
		<div style="clear:both;"></div>
	</div>

	<ul>		
		<?php foreach ($this->view['arSubAction'] as $k => $v) { ?>		
		<li class="<?php echo (($k == $this->view['subAction'])?'current':''); ?>"><a href="<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Admin&amp;subaction=<?php echo $k; ?>"><?php echo $v['Menutext']; ?></a></li>
		<?php } ?>
	</ul>
			
</div>

<div class="wpsg_admin_content">
	
	<h3>
		<?php echo __('E-Mail Konfiguration', 'wpsg'); ?>
		<a title="<?php echo __('Hilfeseite zur E-Mail Konfiguration', 'wpsg'); ?>" class="wpsg_form_help_notip" href="http://wpshopgermany.maennchen1.de/?p=3284" target="_blank"></a>
	</h3>
			
	<p><?php echo __('Hier können die Betreffs, Empfänger und BCC/CC der E-Mails konfiguriert werden.', 'wpsg')?></p>
		
	<form name="form1" method="post" enctype="multipart/form-data" action="<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Admin&amp;subaction=<?php echo $_REQUEST['subaction']; ?>">

		<?php echo wpsg_drawForm_Checkbox('wpsg_htmlmail', __('HTML Mails versenden', 'wpsg'), $this->get_option('wpsg_htmlmail')); ?>
		
		<br />
	
		<div class="wpsg_admin_box">		
				  		 			
			<?php echo wpsg_drawEMailConfig(
					'global', 
					__('Globale Vorgaben', 'wpsg'), 
					__('Werden keine Angaben für die folgenden E-Mails gemacht, so gelten die globalen Angaben.', 'wpsg')); ?>
					
			<?php echo wpsg_drawEMailConfig(
					'adminmail', 
					__('Bestellbestätigung (Admin)', 'wpsg'), 
					__('Diese Mail bekommt der Admin beim Eingang einer neuen Bestellung.', 'wpsg'), 
					true); ?>
				  		
			<?php echo wpsg_drawEMailConfig(
					'kundenmail', 
					__('Bestellbestätigung (Kunde)', 'wpsg'), 
					__('Diese Mail bekommt der Kunde nach Durchführung der Bestellung.', 'wpsg'),
					false,
					true); ?>
			
			<?php echo wpsg_drawEMailConfig(
					'status', 
					__('Statusänderung (Kunde)', 'wpsg'), 
					__('Diese Mail bekommt der Kunde bei der Änderung des Bestellstatus.', 'wpsg')); ?>
							
			<?php $this->callMods('admin_emailconf'); ?>
								
		</div>
		
		<div class="wpsg_hinweis"><?php echo __('Klicken Sie auf die jeweilige Mail um die Einstellungen angezeigt zu bekommen bzw. zu ändern.', 'wpsg'); ?></div>
		
		<p class="submit"><input type="submit" value="<?php echo __('Einstellungen speichern', 'wpsg'); ?>" class="button-primary" id="submit" name="submit" /></p>
				
	</form>	
</div>

<script type="text/javascript">/* <![CDATA[ */

	/**
	 * Speichert die Informationen ob die Mailboxen auf oder zugeklappt sind in dem Cookie
	 */
	function wpsg_mail_save_cookie()
	{

		var wpsg_mail_open = Array();
		
		jQuery('.wpsg_admin_box .wpsg_mail_content:visible').each(function() {

			wpsg_mail_open.push(jQuery(this).prev().attr("id"));
			
		} );

		jQuery.cookie('wpsg_mail', wpsg_mail_open.join(','));
		 
	} // function wpsg_mail_save_cookie()

	jQuery(document).ready(function() {

		jQuery('.wpsg_admin_box .wpsg_mail_head').bind('click', function() {

			jQuery(this).next().toggle();

			if (!jQuery(this).next().is(":visible"))
			{				
				jQuery(this).css('border-bottom', '1px solid #AAAAAA');				
			}
			else
			{				
				jQuery(this).css('border-bottom', '0px');				
			}

			wpsg_mail_save_cookie();
			
		} );

		jQuery('.wpsg_admin_box .wpsg_mail_head').disableSelection();

		if (jQuery.cookie('wpsg_mail') != null)
		{

			var arOpen = jQuery.cookie('wpsg_mail').split(',');

			for (var i = 0; i < arOpen.length; i ++)
			{
 
				jQuery('#' + arOpen[i]).next().show();
				jQuery('#' + arOpen[i]).css('border-bottom', '0px');	
				
			}
			
		}				
		
	} );

/* ]]> */</script>